Get the audit trails for an organization Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/audit-logs/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Audit Logs MCP server": {
    "url": "https://developer.adra.com/doc/audit-logs/mcp"
  }
}

Close
GET /api/v1.0/organizations/{organizationGuid}/audit-trails

The audit trails are served in batches of less than 100 records at the time and a continuation token.

Path parameters

  • organizationGuid string(uuid) Required

Query parameters

  • continuationToken string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • continuationToken null | string Required
    • responseData null | array[object] Required
      Hide responseData attributes Show responseData attributes object
      • id string Required
      • organizationId string Required
      • auditEvent string Required
      • auditEntity string Required
      • auditAction string Required
      • coreEntity string Required
      • coreEntityId string(uuid) Required
      • contractedEntity null | string Required
      • contractedEntityId null | string(uuid) Required
      • timestamp string(date-time) Required
      • oldValue null | object Required
      • newValue null | object Required
      • diff null | array[object] Required
        Hide diff attribute Show diff attribute object
        • prop string Required
      • author object | null

        Additional properties are NOT allowed.

        Hide author attributes Show author attributes object | null
        • authorId string(uuid) Required
        • authorName string Required
        • authorOrgId string(uuid) Required
        • authorOrgName string Required
        • ipAddress string Required
      • message object | null

        Additional properties are NOT allowed.

        Hide message attributes Show message attributes object | null
        • logMessage string Required
        • logMessageKey null | string Required
        • logMessageParams null | string Required
    • hasMoreChanges boolean Required
  • 400 application/problem+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • 401 application/problem+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • 403 application/problem+json

    Forbidden

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • 404 application/problem+json

    Not Found

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • default application/problem+json

    Error

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
GET /api/v1.0/organizations/{organizationGuid}/audit-trails
curl \
 --request GET 'https://setup.adra.com/api/v1.0/organizations/{organizationGuid}/audit-trails' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "continuationToken": "eyJWIjoyLCJSaWQiOiJ6Njk5QUx5UlYzbz0iLCJDb250aW51YXRpb24iOlt7IkZlZWRSYW5nZSI6eyJ0eXBlIjoiTG9naWNhbCBQYXJ0aXRpb24gS2V5IiwidmFsdWUiOiJbXCI3ZWI2YzE0NS1iNmQyLTRkNjctOGUyMC02Zjg3Y2E5NDJiN2ZcIl0ifSwiU3RhdGUiOnsidHlwZSI6ImNvbnRpbnVhdGlvbiIsInZhbHVlIjoiXCIxOTUxOTZcIiJ9fV19",
  "responseData": [
    {
      "id": "7d94882a-ee8e-4741-b461-4fdbc731362b",
      "organizationId": "7eb6c145-b6d2-4d67-8e20-6f87ca942b7f",
      "auditEvent": "CoreEntityChange",
      "auditEntity": "Organization",
      "auditAction": "Updated",
      "coreEntity": "Organization",
      "coreEntityId": "7eb6c145-b6d2-4d67-8e20-6f87ca942b7f",
      "contractedEntity": null,
      "contractedEntityId": null,
      "timestamp": "2024-03-15T14:48:51+00:00",
      "oldValue": null,
      "newValue": null,
      "diff": [
        {
          "prop": "Domain",
          "oldVal": null,
          "newVal": "updatedDomain@tenant.com"
        },
        {
          "prop": "Name",
          "oldVal": "Demo Organization",
          "newVal": "The Organization"
        }
      ],
      "author": {
        "authorId": "bf5c2988-f6d8-4108-87b1-e1bdcf296d33",
        "authorName": "Anders Reyes",
        "authorOrgId": "e6c779ff-9401-4915-b74d-ca4b937c7de5",
        "authorOrgName": "My Organization",
        "ipAddress": "213.52.72.214"
      },
      "message": {
        "logMessage": "Organization updated",
        "logMessageKey": "OrganizationUpdated",
        "logMessageParams": ""
      }
    }
  ]
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (401)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (403)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (404)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (default)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}